Драйвер для видеокарт VIA Сравнение версий

Различия

Здесь показаны различия между двумя версиями данной страницы.

Ссылка на это сравнение

Предыдущая версия справа и слева Предыдущая версия
Следующая версия
Предыдущая версия
wiki:воспроизведение_видео_на_видеокартах_via [2011/08/12 15:11]
Kernel opsKernel opsKernel ops [Установка]
wiki:воспроизведение_видео_на_видеокартах_via [2013/05/28 10:25] (текущий)
ПользовательПользовательRuntu XFCE 18.04 (64-bit)
Строка 1: Строка 1:
-====== ​Воспроизведение видео на видеокартах via ====== +====== ​Драйвер для видеокарт ​VIA ====== 
-Многие пользователи нетбуков сталкиваются с проблемой некорректного запуска видео на видеокартах VIA. Это проблемы вродевылета на экран логина, ​ОЧЕНЬ ​медленного просмора видео. ​ В этом руководстве ​ мы попытаемся поставить драйвер для нормального воспроизведения видео.+Многие пользователи нетбуков сталкиваются с проблемой некорректного запуска видео на видеокартах VIA. Это проблемы вроде вылета на экран логина, ​ медленного просмора видео. ​ В этом руководстве ​ мы попытаемся поставить драйвер для нормального воспроизведения видео.
 ====== Подготовка ====== ====== Подготовка ======
 Для начала надо проверить версию видеокарты. Надо ввести в терминале:​ Для начала надо проверить версию видеокарты. Надо ввести в терминале:​
  
-<code bash>''​lspci | grep VGA''​</​code>​+<code bash>​lspci | grep VGA</​code>​
  
 Получится вот что: Получится вот что:
  
-<code bash>''​01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R200 QM [Radeon 9100] (rev 80)''​</​code>​+<code bash>​01:​00.0 VGA compatible controller: ATI Technologies Inc Radeon R200 QM [Radeon 9100] (rev 80)</​code>​
  
 Но у вас должны присутствовать в этой строке слова вроде: Но у вас должны присутствовать в этой строке слова вроде:
  
-<code bash>''​VIA Technologies''​</​code>​+<code bash>VIA Technologies</​code>​
  
-<code bash>''​Chrome9''​</​code>​+<code bash>​Chrome9</​code>​
 <note warning>​Должны присутствовать оба слова в названии! Вы делаете всё на свой страх и риск!</​note>​ <note warning>​Должны присутствовать оба слова в названии! Вы делаете всё на свой страх и риск!</​note>​
  
-Тогда нужно установить специальный драйвер видеокарты – openchrome.+Тогда нужно установить специальный драйвер видеокарты – openchrome. Разрабатывается группой энтузиастов,​ но VIA вообще не предоставляет драйверов,​ так-что пользуемся тем что есть.
 К сожалению он с багом, но это можно исправить. К сожалению он с багом, но это можно исправить.
 Для начала надо поставить необходимые зависимости,​ введём в терминале:​ Для начала надо поставить необходимые зависимости,​ введём в терминале:​
  
-<code bash>''​sudo apt-get install build-essential'' ​</​code>​+<code bash>​sudo apt-get install build-essential </​code>​
  
-<code bash>''​sudo apt-get install subversion''​</​code>​+<code bash>​sudo apt-get install subversion</​code>​
  
-<code bash>''​sudo apt-get install autoconf automake1.9 libtool''​</​code>​+<code bash>​sudo apt-get install autoconf automake1.9 libtool</​code>​
  
-<code bash>''​sudo apt-get build-dep xserver-xorg-video-openchrome''​</​code>​+<code bash>​sudo apt-get build-dep xserver-xorg-video-openchrome</​code>​
  
 Скачаем драйвер:​ Скачаем драйвер:​
  
-<code bash>''​svn checkout http://​svn.openchrome.org/​svn/​trunk openchrome +<code bash>svn checkout http://​svn.openchrome.org/​svn/​trunk openchrome 
-cd openchrome/​src''​</​code>​+cd openchrome/​src</​code>​
  
 Исправим баг в драйвере,​ для этого скачаем изменённый исходный код: Исправим баг в драйвере,​ для этого скачаем изменённый исходный код:
  
-<code bash>''​wget https://​bugs.launchpad.net/​ubuntu/​+source/​xserver-xorg-video-openchrome/​+bug/​760743/​+attachment/​2094292/​+files/​via_video.c''​</​code>​+<code bash>​wget https://​bugs.launchpad.net/​ubuntu/​+source/​xserver-xorg-video-openchrome/​+bug/​760743/​+attachment/​2094292/​+files/​via_video.c</​code>​
 ====== Установка ====== ====== Установка ======
 Собираем и ставим драйвер:​ Собираем и ставим драйвер:​
Строка 52: Строка 52:
  
 <code bash>​sudo apt-get install vlc</​code>​ <code bash>​sudo apt-get install vlc</​code>​
 +
 +P.S. Возможна слабая поддержка 3D!
  
 «Данный материал написан для «Первого конкурса русскоязычных статей для ОС Ubuntu 2011 года» (konkurs.ubuntu.ru)». «Данный материал написан для «Первого конкурса русскоязычных статей для ОС Ubuntu 2011 года» (konkurs.ubuntu.ru)».